<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [getMaterialData](./bitburner.corporation.getmaterialdata.md)

## Corporation.getMaterialData() method

Get constant data for a specific material

**Signature:**

```typescript
getMaterialData(materialName: CorpMaterialName): CorpMaterialConstantData;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  materialName | [CorpMaterialName](./bitburner.corpmaterialname.md) |  |

**Returns:**

[CorpMaterialConstantData](./bitburner.corpmaterialconstantdata.md)

